{
  "version": 3,
  "pages404": true,
  "caseSensitive": false,
  "basePath": "",
  "redirects": [
    {
      "source": "/:path+/",
      "destination": "/:path+",
      "internal": true,
      "statusCode": 308,
      "regex": "^(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))/$"
    }
  ],
  "headers": [],
  "rewrites": {
    "beforeFiles": [],
    "afterFiles": [],
    "fallback": []
  },
  "dynamicRoutes": [
    {
      "page": "/album/[id]",
      "regex": "^/album/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/album/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/artist/[mbid]",
      "regex": "^/artist/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPmbid": "nxtPmbid"
      },
      "namedRegex": "^/artist/(?<nxtPmbid>[^/]+?)(?:/)?$"
    }
  ],
  "staticRoutes": [
    {
      "page": "/",
      "regex": "^/(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/(?:/)?$"
    },
    {
      "page": "/_not-found",
      "regex": "^/_not\\-found(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_not\\-found(?:/)?$"
    },
    {
      "page": "/control",
      "regex": "^/control(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/control(?:/)?$"
    },
    {
      "page": "/download",
      "regex": "^/download(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/download(?:/)?$"
    },
    {
      "page": "/legal/privacy",
      "regex": "^/legal/privacy(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/legal/privacy(?:/)?$"
    },
    {
      "page": "/legal/security",
      "regex": "^/legal/security(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/legal/security(?:/)?$"
    },
    {
      "page": "/legal/terms",
      "regex": "^/legal/terms(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/legal/terms(?:/)?$"
    },
    {
      "page": "/library",
      "regex": "^/library(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/library(?:/)?$"
    },
    {
      "page": "/now-playing",
      "regex": "^/now\\-playing(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/now\\-playing(?:/)?$"
    },
    {
      "page": "/pair",
      "regex": "^/pair(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pair(?:/)?$"
    },
    {
      "page": "/search",
      "regex": "^/search(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/search(?:/)?$"
    },
    {
      "page": "/settings",
      "regex": "^/settings(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings(?:/)?$"
    },
    {
      "page": "/settings/account",
      "regex": "^/settings/account(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/account(?:/)?$"
    },
    {
      "page": "/settings/devices",
      "regex": "^/settings/devices(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/devices(?:/)?$"
    },
    {
      "page": "/settings/server",
      "regex": "^/settings/server(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/server(?:/)?$"
    },
    {
      "page": "/settings/sources",
      "regex": "^/settings/sources(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/sources(?:/)?$"
    }
  ],
  "dataRoutes": [],
  "rsc": {
    "header": "rsc",
    "varyHeader": "rsc, next-router-state-tree, next-router-prefetch, next-router-segment-prefetch",
    "prefetchHeader": "next-router-prefetch",
    "didPostponeHeader": "x-nextjs-postponed",
    "contentTypeHeader": "text/x-component",
    "suffix": ".rsc",
    "prefetchSuffix": ".prefetch.rsc",
    "prefetchSegmentHeader": "next-router-segment-prefetch",
    "prefetchSegmentSuffix": ".segment.rsc",
    "prefetchSegmentDirSuffix": ".segments"
  },
  "rewriteHeaders": {
    "pathHeader": "x-nextjs-rewritten-path",
    "queryHeader": "x-nextjs-rewritten-query"
  }
}